ViennaCL - The Vienna Computing Library: viennacl::matrix_iterator< ROWCOL, MATRIXTYPE > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::matrix_iterator< ROWCOL, MATRIXTYPE > Class Template Reference

A dense matrix class. More...

`#include <forwards.h>`

## Public Types
typedef MatrixT::value_type | value_type

## Public Member Functions
| matrix_iterator (MatrixT &mat, vcl_size_t start_row, vcl_size_t start_col)
value_type | operator* (void)
self_type & | operator++ (void)
self_type | operator++ (int)
bool | operator== (self_type const &other)
bool | operator!= (self_type const &other)
vcl_size_t | index1 ()
vcl_size_t | index2 ()
MatrixT & | operator() (void) const

## Detailed Description

### template<typename ROWCOL, typename MATRIXTYPE>
class viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >

A dense matrix class.

uBLAS-like iterator class for iterating over the entries of a dense matrix.

Template Parameters

  SCALARTYPE | The underlying scalar type (either float or double)
  ALIGNMENT | The internal memory size is given by (size()/ALIGNMENT + 1) * ALIGNMENT. ALIGNMENT must be a power of two. Best values or usually 4, 8 or 16, higher values are usually a waste of memory.

Definition at line 369 of file forwards.h.

## Member Typedef Documentation

template<typename ROWCOL , typename MATRIXTYPE >

typedef MatrixT::value_type viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::value_type

Definition at line 96 of file matrix.hpp.

## Constructor & Destructor Documentation

template<typename ROWCOL , typename MATRIXTYPE >

viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::matrix_iterator | ( | MatrixT & | mat,
|  | vcl_size_t | start_row,
|  | vcl_size_t | start_col
| ) |  |
| inline

Definition at line 98 of file matrix.hpp.

## Member Function Documentation

template<typename ROWCOL , typename MATRIXTYPE >

vcl_size_t viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::index1 | ( |  | ) |
| inline

Definition at line 109 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

vcl_size_t viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::index2 | ( |  | ) |
| inline

Definition at line 110 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

bool viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::operator!= | ( | self_type const & | other | ) |
| inline

Definition at line 107 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

MatrixT& viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::operator() | ( | void |  | ) | const
| inline

Definition at line 112 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

value_type viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::operator* | ( | void |  | ) |
| inline

Definition at line 102 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

self_type& viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::operator++ | ( | void |  | ) |
| inline

Definition at line 103 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

self_type viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::operator++ | ( | int |  | ) |
| inline

Definition at line 104 of file matrix.hpp.

template<typename ROWCOL , typename MATRIXTYPE >

bool viennacl::matrix_iterator< ROWCOL, MATRIXTYPE >::operator== | ( | self_type const & | other | ) |
| inline

Definition at line 106 of file matrix.hpp.

The documentation for this class was generated from the following files:

- viennacl/forwards.h
- viennacl/matrix.hpp